package com.ningdatech.carapi.irs.service;

import java.util.List;

/**
 * DriverService
 * @author CMM
 * @since 2023/05/21 19:01
 */

public interface DriverService {
    /**
     * 根据车牌号查询驾驶员行驶证
     * @return
     */
    String vehicleLicenseQuery(String carPlate);

    /**
     * 根据车牌号查询驾驶员行驶证
     * @return
     */
    String vehicleLicenseQuery(String carPlate,Integer index);

    /**
     * 根据身份证号查询驾驶员驾驶证
     * @return
     */

    String drivingLicenseQuery(String idCard);

    List<String> vehicleLicenseTest();
}
